Subject: Re: Shiso = beefsteak plant???

From: [email-masked] (Brian & Donna)
Date: Mon, 29 May 1995 13:07:42 GMT

I bought some seeds at a local (Seattle) store that specializes in 
Japanese goods, so the seeds ARE available here.  I planted the seeds 
about two weeks ago and they're just poking through the soil now.  

Brian